from .mydb import MyDB

class LotteryResult:
  def __init__(self,
               # 类型
               lotteryType,

               # 期数
               issueNo,

               # 开奖日期
               openingDate,

               # 号码
               result
               ):
    self.lotteryType = lotteryType
    self.issueNo = issueNo
    self.openingDate = openingDate
    self.result = result
    # 中奖详情
    self.details = None

  def setDetails(self, details):
    self.details = details

  def persist(self):
    cursor = MyDB.getCursor()
    if cursor is None:
      return

    query = "select count(*) from ta_crawl_lottery_result where lottery_type = %s and issue_no = %s and status = 1"
    cursor.execute(query,[self.lotteryType, self.issueNo])
    res = cursor.fetchone()
    if res[0] > 0:
      return

    sql = "insert into ta_crawl_lottery_result(lottery_type, issue_no, opening_date, result, detail) values(%s, %s, %s, %s, %s)"
    detailStr = ""
    if self.details is not None:
      detailStr = ";".join(map(lambda x: x.toString(), self.details))

    cursor.execute(sql, (self.lotteryType, self.issueNo, self.openingDate, self.result, detailStr))
    MyDB.commit()
    cursor.close()

class LotteryResultDetail:
  def __init__(self,
               # 中奖级别
               level,

               # 注数
               piece,

               # 单注奖金
               money):
    self.level = level
    self.piece = piece
    self.money = money
    # 额外追加
    self.xPiece = "0"
    self.xMoney = "0"

  def add(self, xPiece, xMoney):
    self.xPiece = xPiece
    self.xMoney = xMoney

  def toString(self):
    return "|".join((self.level, self.piece, self.money, self.xPiece, self.xMoney))
