import pymysql
import scrapy

class MyDB:
  __connected = False
  __conn = None

  @classmethod
  def from_crawler(cls, crawler):
    cls.connectDB(crawler.settings['DATABASE'])
    return cls()

  @classmethod
  def connectDB(cls, dbSetting):
    cls.__conn = pymysql.connect(
      host = dbSetting['host'],
      port = dbSetting['port'],
      user = dbSetting['user'],
      password = dbSetting['password'],
      db = dbSetting['name'],
      charset = 'utf8'
    )
    cls.__connected = True

  @classmethod
  def getCursor(cls):
    if cls.__connected:
      return cls.__conn.cursor()

  @classmethod
  def commit(cls):
    if cls.__connected:
      return cls.__conn.commit()

  def __del__(self):
    if self.__class__.__connected:
      self.__class__.__connected = False
      self.__class__.__conn.close()
