import scrapy
import time
from crawl.comm.basketball import BSTResult

class BasketballSpider(scrapy.Spider):
  name = "basketball-result"

  def start_requests(self):
    # 开奖
    today = time.strftime("%Y-%m-%d")
    url = "https://www.lottery.gov.cn/basketball/result_99.jspx?startDate="+today+"&endDate="+today+"&f_league_id=0&f_league_name=%E5%85%A8%E9%83%A8%E8%81%94%E8%B5%9B&single=off"
    yield scrapy.Request(url, self.parseResult)

  def parseResult(self, response):
    cssMain = ".xxsj table tr"

    # 获取所有比赛
    matches = response.css(cssMain)
    for node in matches[1:-1]:  # 标题行忽略以及末尾一行
      prop = node.css("td")
      if len(prop) < 7:
        continue

      matchTime = prop[0].css('::text').get()
      matchWeek = prop[1].css('::text').get()
      league = prop[2].css('::text').get()
      team = prop[3].css('a::text').getall()
      if team is None or len(team) == 0:
        team = prop[3].css('::text').get().split('VS')
      homeTeam = team[0].strip()
      awayTeam = team[1].strip()
      single = self.isSingle(prop[3].attrib.get('class'))
      tmp = prop[4].css('::text').get()
      score = tmp.strip() if tmp is not None else ""
      tmp = prop[5].css('::text').get()
      status = tmp.strip() if tmp is not None else ""

      BSTResult(
        matchTime,
        matchWeek,
        league,
        homeTeam,
        awayTeam,
        single,
        score,
        status
      ).persist()

  def isSingle(self, eleCls):
    if eleCls is None:
      return '0'
    
    if 'dan' in eleCls:
      return '1'
    else:
      return '0'
